libusb++-0.1-4c2_0.1.12-25_amd64.deb


Advertisement

Description

libusb++-0.1-4c2 - userspace C++ USB programming library

Distribution: Debian 8 (Jessie)
Repository: Debian Main amd64
Package name: libusb++-0.1-4c2
Package version: 0.1.12
Package release: 25
Package architecture: amd64
Package type: deb
Installed size: 31 B
Download size: 15.67 KB
Official Mirror: ftp.br.debian.org
Library for programming USB applications without the knowledge of Linux kernel internals. This is only for programs which use the C++ interface.

Alternatives

Conflicts

  • libusb++-0.1-4

Replaces

  • libusb++-0.1-4

    Download

    Source package: libusb

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install libusb++-0.1-4c2 deb package:
      # sudo apt-get install libusb++-0.1-4c2

    Files

    • /usr/lib/x86_64-linux-gnu/libusbpp-0.1.so.4
    • /usr/lib/x86_64-linux-gnu/libusbpp-0.1.so.4.4.4
    • /usr/share/doc/libusb++-0.1-4c2/changelog.Debian.gz
    • /usr/share/doc/libusb++-0.1-4c2/changelog.gz
    • /usr/share/doc/libusb++-0.1-4c2/copyright

    Changelog

    2014-10-21 - Aurelien Jarno <aurel32@debian.org> libusb (2:0.1.12-25) unstable; urgency=medium * Move /usr/lib/$multiarch/libusb-0.1.so.4 from libusb-0.1-4 to libusb-dev (closes: #763195) and add the corresponding Replaces:. * Drop pre-Lenny Conflicts: and Replaces:. * Bump Standards-Version to 3.9.6 (no changes).

    2014-07-03 - Aurelien Jarno <aurel32@debian.org> libusb (2:0.1.12-24) unstable; urgency=medium * Use dh-autoreconf instead of doing so using patches (closes: #748855). * Drop now useless patches 90_am_maintainer_mode.diff and 92_autoreconf.diff. * Stop updating config.guess and config.sub at build time. * Add 11_transfer_timeout.diff patch from Sam Thursfield to fix timeout handling in some corner cases (closes: #731422). * Bumped Standards-Version to 3.9.5 (no changes).

    2013-11-14 - Colin Watson <cjwatson@debian.org> libusb (2:0.1.12-23.3) unstable; urgency=low * Non-maintainer upload. * Build in obj-$(DEB_HOST_GNU_TYPE) rather than obj-$(DEB_BUILD_GNU_TYPE), which is less confusing since the former corresponds to the architecture we're building for. * Cross-build the udeb pass if requested, as well as the deb pass (closes: #694016).

    2013-05-24 - Andreas Beckmann <anbe@debian.org> libusb (2:0.1.12-23.2) unstable; urgency=low * Non-maintainer upload. * libusb-dev: Ship /usr/lib/<triplet>/libusb-0.1.so.4 -> /lib/<triplet>/libusb-0.1.so.4 symlink to prevent spurious creation of that SONAME link by ldconfig. (Closes: #706278)

    2012-09-22 - Marcin Owsiany <porridge@debian.org> libusb (2:0.1.12-23+nmu1) unstable; urgency=low * Non-maintainer upload. * Fix kfreebsd-* FTBFS: ignore the result of the (BSD-only) HAVE_OLD_DEV_USB_USB_H configure check, which started misbehaving in 2012. We ignore the system-provided API in favour of an embedded copy of a header file anyway (closes: #668026).

    2012-06-03 - Aurelien Jarno <aurel32@debian.org> libusb (2:0.1.12-23) unstable; urgency=low * Enable the patches in debian/patches/series.

    2012-06-03 - Aurelien Jarno <aurel32@debian.org> libusb (2:0.1.12-22) unstable; urgency=low * Add a dummy implementation for OSes without USB support (closes: #668950).

    2012-04-03 - Aurelien Jarno <aurel32@debian.org> libusb (2:0.1.12-21) unstable; urgency=low * Fix hardening flags for C++ (closes: #665308). * Fix udeb optimizationf flags. * Bumped Standards-Version to 3.9.3 (no changes).

    2011-12-31 - Aurelien Jarno <aurel32@debian.org> libusb (2:0.1.12-20) unstable; urgency=low * Add symbols files. * Enable hardened build flags (closes: #653742). * Remove the /usr/lib/libusb-0.1.so.4 -> /lib/libusb-0.1.so.4 symlink as the dpkg-dev bug has been fixed.

    2011-07-19 - Aurelien Jarno <aurel32@debian.org> libusb (2:0.1.12-19) unstable; urgency=low * Change package format to 3.0 (quilt). - Drop build-depends on quilt. - Remove patch and unpatch rules. * Convert to multiarch (closes: bug#528205): - Drop cross-compilation support, the multiarch directory should be use instead. - Bump debhelper build-dep to >= 8.1.3 for multiarch. - Add Pre-Depends: ${misc:Pre-Depends} to libusb-0.1-4 and libusb++-0.1-4, set them Multi-Arch: same. - Install the libraries in the multiarch path. - Drop the .la files.

    Advertisement
    Advertisement